import React from "react";
import { MatrixEvent, MatrixError } from "matrix-js-sdk/src/matrix";
interface IProps {
    mxEvent: MatrixEvent;
    onFinished(): void;
}
interface IState {
    originalEvent: MatrixEvent | null;
    error: MatrixError | null;
    events: MatrixEvent[];
    nextBatch: string | null;
    isLoading: boolean;
    isTwelveHour: boolean;
}
export default class MessageEditHistoryDialog extends React.PureComponent<IProps, IState> {
    constructor(props: IProps);
    private loadMoreEdits;
    private locallyRedactEventsIfNeeded;
    componentDidMount(): void;
    private renderEdits;
    render(): React.ReactNode;
}
export {};
